﻿<!------------------------------------------
 #프로그램명	: 규격서 출력페이지
 #날     짜	: 2019-02-25
 #업  체  명	: 컨설트인사이드
 #담  당  자	: 최재원(kkggan3@daum.net)
 #홈페이지주소	: http://www.duksan.kr
 #화면의 용도	: ITEM_CODE로 해당 품목에 대응하는 규격서 페이지를 출력함.
 #수 정 사 항	: 
------------------------------------------->

<?php
	/** 규격서 **/
	include $_SERVER['DOCUMENT_ROOT'].'/lib/lib.php';

	$code = $_POST[ITEM_CODE];

	$msds_list = new Msds\Msds_Class();

	$msds_arr = array();

	$item 	= $msds_list->Spec_Print($conn, $code);
	$msds_1 = $msds_list->Spec_Exec($conn, $code, "1");
	$msds_2 = sqlsrv_fetch_array($msds_list->Spec_Exec($conn, $code, "0"));
?>

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>규격성적서</title>

<!-- PDF 변환 -->
<script src="/js/html2canvas.js"></script>
<script src="/js/html2canvas.min.js"></script>
<script src="/js/bluebird.min.js"></script>
<script src="/js/jspdf.min.js"></script>
<!-- PDF 변환 -->
</head>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script language="JavaScript">
    function sWin() {

		window.resizeTo(800, 1080);
		
		setTimeout(function(){
			
			if(confirm('출력하시겠습니까?\n(PDF 다운로드는 공지사항을 참조하세요.)') == true) {				
				window.print();
			}

			// down_chk();

		},1000);
    }

	function down_chk () {
		var confirm_chk = confirm('PDF 파일로 내려받기 하시겠습니까?\n(인터넷 환경에 따라 다운로드 시작 시간이 좀 걸릴 수 있습니다.)');
		
		if(confirm_chk == true) {
			pdf_load();
		}
	}


	function pdf_load() { // PDF 파일 다운로드
		var txt = $('.msdsName').html();

		html2canvas(document.body, {
			  onrendered: function(canvas) {
			 
					// 캔버스를 이미지로 변환
					var imgData = canvas.toDataURL('image/png');
					 
					var imgWidth = 210; // 이미지 가로 길이(mm) A4 기준
					var pageHeight = imgWidth * 1.414;  // 출력 페이지 세로 길이 계산 A4 기준
					var imgHeight = canvas.height * imgWidth / canvas.width;
					var heightLeft = imgHeight;
				 
					var doc = new jsPDF('p', 'mm');
					var position = 0;
					 
					// 첫 페이지 출력
					doc.addImage(imgData, 'PNG', 0, position, imgWidth, imgHeight);
					heightLeft -= pageHeight;
					 
					// 한 페이지 이상일 경우 루프 돌면서 출력
					while (heightLeft >= 20) {
					  position = heightLeft - imgHeight;
					  doc.addPage();
					  doc.addImage(imgData, 'PNG', 0, position, imgWidth, imgHeight);
					  heightLeft -= pageHeight;
					}
			 
					// 파일 저장
					doc.save(txt+'.pdf');
			  }
		});
	}
</script>
<script>
	$(function(){
		
	});
</script>
<style>
    #ca_print{
        width:100%;
    	margin: 0 auto;
    }
    #ca_print .ca_tit{
    	width: 97%;
    	margin: 10px auto;
	    margin-bottom: 20px;
    	text-align: center;
    }
    #ca_print .ca_table{
       width: 95%; 
       margin:5px auto;
       text-align: center;
    }
    
    #ca_print .ca_table tr th{
       font-size: 22px;
    }
    
    #ca_print .ca_table tr td{
        font-size: 14px;
    }
    
    #ca_print .ca_table2 {
       width: 95%; 
       margin:10px auto;
       text-align: center;
       margin-bottom:30px;
    }
    
    #ca_print .ca_table2 tr th{
       padding-bottom:3px;
       color: #ff0000;
       font-size:13px;
    }
    
    #ca_print .ca_table2 tr td{
       /*border-bottom:1px solid #c3c3c3;*/
       padding-top:1px;
       padding-bottom:1px;
	   font-size:11px;
    }
    
    #ca_print .ca_table3 {
       width:40%; 
       margin-left:15px;
       font-size:12px;
    }
    
    #ca_print .ca_table3 tr th,
    #ca_print .ca_table3 tr td{
       text-align:left;
    }
    
    
    #ca_print .bottom_sign{
	    position: fixed;
	    top: 85%;
		width: 100%;
		margin: 10px auto;
		padding: 15px;
		padding-top: 20px;
    }
</style>

<body onload="sWin()">

   <div id="ca_print">

	<p class="ca_tit"><img src="../../images/sub/title_01.gif" style="width:100%" alt="규격성적서"></p>
	<div style="min-height:600px;">
	<table class="ca_table">
		<tr>
			<th colspan="3" class="msdsName"><?php echo $item[item_name]?></th>
		</tr>
		<tr>
			<td colspan="3" style="font-size:13px; padding-top:15px;">
				[<?php echo $item[MSDS_PROD1_CAS]?>]&nbsp;&nbsp;&nbsp;(<?php echo $item[msds_formula]?>)&nbsp;&nbsp;&nbsp;FW:<?php echo $item[msds_FormulaWeight]?>
			</td>
		</tr>
	</table>
	
	<table class="ca_table2" cellspacing="0">
		<tr>
			<th style="text-align:left;"><b style="font-size:14px; color: #ff0000;">TESTS</b></th>
			<th><b style="font-size:14px; color: #ff0000;">UNIT</b></th>
			<th><b style="font-size:14px; color: #ff0000;">SPECIFICATION</b></th>
			<!-- <th><b style="font-size:14px; color: #ff0000;">Tested by</b></th> -->
		</tr>
		<?php while($row = sqlsrv_fetch_array($msds_1)) { ?>
		<tr>
			<td style="text-align:left;"><?php echo $row[UMQCTitleName] != "" ? $row[UMQCTitleName] : "-"?></td>
			<td><?php echo $row[Remark] != "" ? $row[Remark] : "-"?></td>
			<td><?php echo $row[TestingCond] != "" ? $row[TestingCond] : "-" ?></td>
			<!-- <td><?php echo /*$rw[QCEmpName]*/ "-"?></td> -->
		</tr>
		<?php } ?>
	</table>
	
	<table class="ca_table3" >
	<?php if($msds_2[UMTestMethodName] != "") { ?>
		<tr>
			<th>Test Method :</th>
			<td><?php echo $msds_2[UMTestMethodName] ?></td>
		</tr>
	<?php } ?>
	<?php if($msds_2[LastDateTime] != null) { ?>
		<tr>
			<th>Mfg. Date :</th>
			<td><?php echo $msds_2[LastDateTime]->format('Y-m-d') ?></td>
		</tr>
	<?php } ?>
	<?php if($msds_2[UMLastDateName] != "") { ?>
		<tr>
			<th>Exp. Date :</th>
			<td><?php echo $msds_2[UMLastDateName] ?></td>
		</tr>
	<?php } ?>
	<?php if($msds_2[SampleCollectEmpName] != "") { ?>
		<tr>
			<th>Tested by :</th>
			<td><?php echo $msds_2[SampleCollectEmpName] ?></td>
		</tr>
	<?php } ?>
	</table>
	
	</div>

	<table class="bottom_sign">
        <tr>
			<td style="width:65%;">
				<p style="font-size:12px; line-height:15px;">
				<b style="font-size:14px; line-height:20px;line-height:25px;">DUKSAN PURE CHEMICALS CO. LTD</b><br>
				    53, Sinwon-ro 133beon-gil, Danwon-gu, Ansan-si, Gyeonggi-do, Korea<br>
					TEL : +82-31-495-4057	FAX : +82-31-495-8364<br>
					World Wide Web : WWW.DUKSAN.KR<br>
					E-mail : QC@DUKSAN.KR</p>
			</td>
			<td style="text-align: center;">
				<p><img src="/images/sub/kim.gif" width="180" height="101"></p>
			</td>
		</tr>
	</table>
	
  </div>

</body>
</html>